Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.232.112.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
19.232.112.0
Broadcast address
19.232.127.255
First usable
19.232.112.1
Last usable
19.232.127.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 13E87000 · Integer 334000128 to 334004223
Reverse DNS zones
112.232.19.in-addr.arpa
113.232.19.in-addr.arpa
114.232.19.in-addr.arpa
115.232.19.in-addr.arpa
116.232.19.in-addr.arpa
117.232.19.in-addr.arpa
118.232.19.in-addr.arpa
119.232.19.in-addr.arpa
120.232.19.in-addr.arpa
121.232.19.in-addr.arpa
122.232.19.in-addr.arpa
123.232.19.in-addr.arpa
124.232.19.in-addr.arpa
125.232.19.in-addr.arpa
126.232.19.in-addr.arpa
127.232.19.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.11101000.01110000.0000000019.232.112.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00010011.11101000.01110000.0000000019.232.112.0
Broadcast00010011.11101000.01111111.1111111119.232.127.255
Split into smaller subnets/30

19.232.112.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.232.112.0/3019.232.112.1 to 19.232.112.219.232.112.32
219.232.112.4/3019.232.112.5 to 19.232.112.619.232.112.72
319.232.112.8/3019.232.112.9 to 19.232.112.1019.232.112.112
419.232.112.12/3019.232.112.13 to 19.232.112.1419.232.112.152
519.232.112.16/3019.232.112.17 to 19.232.112.1819.232.112.192
619.232.112.20/3019.232.112.21 to 19.232.112.2219.232.112.232
719.232.112.24/3019.232.112.25 to 19.232.112.2619.232.112.272
819.232.112.28/3019.232.112.29 to 19.232.112.3019.232.112.312
919.232.112.32/3019.232.112.33 to 19.232.112.3419.232.112.352
1019.232.112.36/3019.232.112.37 to 19.232.112.3819.232.112.392
1119.232.112.40/3019.232.112.41 to 19.232.112.4219.232.112.432
1219.232.112.44/3019.232.112.45 to 19.232.112.4619.232.112.472
1319.232.112.48/3019.232.112.49 to 19.232.112.5019.232.112.512
1419.232.112.52/3019.232.112.53 to 19.232.112.5419.232.112.552
1519.232.112.56/3019.232.112.57 to 19.232.112.5819.232.112.592
1619.232.112.60/3019.232.112.61 to 19.232.112.6219.232.112.632
1719.232.112.64/3019.232.112.65 to 19.232.112.6619.232.112.672
1819.232.112.68/3019.232.112.69 to 19.232.112.7019.232.112.712
1919.232.112.72/3019.232.112.73 to 19.232.112.7419.232.112.752
2019.232.112.76/3019.232.112.77 to 19.232.112.7819.232.112.792
2119.232.112.80/3019.232.112.81 to 19.232.112.8219.232.112.832
2219.232.112.84/3019.232.112.85 to 19.232.112.8619.232.112.872
2319.232.112.88/3019.232.112.89 to 19.232.112.9019.232.112.912
2419.232.112.92/3019.232.112.93 to 19.232.112.9419.232.112.952
2519.232.112.96/3019.232.112.97 to 19.232.112.9819.232.112.992
2619.232.112.100/3019.232.112.101 to 19.232.112.10219.232.112.1032
2719.232.112.104/3019.232.112.105 to 19.232.112.10619.232.112.1072
2819.232.112.108/3019.232.112.109 to 19.232.112.11019.232.112.1112
2919.232.112.112/3019.232.112.113 to 19.232.112.11419.232.112.1152
3019.232.112.116/3019.232.112.117 to 19.232.112.11819.232.112.1192
3119.232.112.120/3019.232.112.121 to 19.232.112.12219.232.112.1232
3219.232.112.124/3019.232.112.125 to 19.232.112.12619.232.112.1272
3319.232.112.128/3019.232.112.129 to 19.232.112.13019.232.112.1312
3419.232.112.132/3019.232.112.133 to 19.232.112.13419.232.112.1352
3519.232.112.136/3019.232.112.137 to 19.232.112.13819.232.112.1392
3619.232.112.140/3019.232.112.141 to 19.232.112.14219.232.112.1432
3719.232.112.144/3019.232.112.145 to 19.232.112.14619.232.112.1472
3819.232.112.148/3019.232.112.149 to 19.232.112.15019.232.112.1512
3919.232.112.152/3019.232.112.153 to 19.232.112.15419.232.112.1552
4019.232.112.156/3019.232.112.157 to 19.232.112.15819.232.112.1592
4119.232.112.160/3019.232.112.161 to 19.232.112.16219.232.112.1632
4219.232.112.164/3019.232.112.165 to 19.232.112.16619.232.112.1672
4319.232.112.168/3019.232.112.169 to 19.232.112.17019.232.112.1712
4419.232.112.172/3019.232.112.173 to 19.232.112.17419.232.112.1752
4519.232.112.176/3019.232.112.177 to 19.232.112.17819.232.112.1792
4619.232.112.180/3019.232.112.181 to 19.232.112.18219.232.112.1832
4719.232.112.184/3019.232.112.185 to 19.232.112.18619.232.112.1872
4819.232.112.188/3019.232.112.189 to 19.232.112.19019.232.112.1912
4919.232.112.192/3019.232.112.193 to 19.232.112.19419.232.112.1952
5019.232.112.196/3019.232.112.197 to 19.232.112.19819.232.112.1992
5119.232.112.200/3019.232.112.201 to 19.232.112.20219.232.112.2032
5219.232.112.204/3019.232.112.205 to 19.232.112.20619.232.112.2072
5319.232.112.208/3019.232.112.209 to 19.232.112.21019.232.112.2112
5419.232.112.212/3019.232.112.213 to 19.232.112.21419.232.112.2152
5519.232.112.216/3019.232.112.217 to 19.232.112.21819.232.112.2192
5619.232.112.220/3019.232.112.221 to 19.232.112.22219.232.112.2232
5719.232.112.224/3019.232.112.225 to 19.232.112.22619.232.112.2272
5819.232.112.228/3019.232.112.229 to 19.232.112.23019.232.112.2312
5919.232.112.232/3019.232.112.233 to 19.232.112.23419.232.112.2352
6019.232.112.236/3019.232.112.237 to 19.232.112.23819.232.112.2392
6119.232.112.240/3019.232.112.241 to 19.232.112.24219.232.112.2432
6219.232.112.244/3019.232.112.245 to 19.232.112.24619.232.112.2472
6319.232.112.248/3019.232.112.249 to 19.232.112.25019.232.112.2512
6419.232.112.252/3019.232.112.253 to 19.232.112.25419.232.112.2552
6519.232.113.0/3019.232.113.1 to 19.232.113.219.232.113.32
6619.232.113.4/3019.232.113.5 to 19.232.113.619.232.113.72
6719.232.113.8/3019.232.113.9 to 19.232.113.1019.232.113.112
6819.232.113.12/3019.232.113.13 to 19.232.113.1419.232.113.152
6919.232.113.16/3019.232.113.17 to 19.232.113.1819.232.113.192
7019.232.113.20/3019.232.113.21 to 19.232.113.2219.232.113.232
7119.232.113.24/3019.232.113.25 to 19.232.113.2619.232.113.272
7219.232.113.28/3019.232.113.29 to 19.232.113.3019.232.113.312
7319.232.113.32/3019.232.113.33 to 19.232.113.3419.232.113.352
7419.232.113.36/3019.232.113.37 to 19.232.113.3819.232.113.392
7519.232.113.40/3019.232.113.41 to 19.232.113.4219.232.113.432
7619.232.113.44/3019.232.113.45 to 19.232.113.4619.232.113.472
7719.232.113.48/3019.232.113.49 to 19.232.113.5019.232.113.512
7819.232.113.52/3019.232.113.53 to 19.232.113.5419.232.113.552
7919.232.113.56/3019.232.113.57 to 19.232.113.5819.232.113.592
8019.232.113.60/3019.232.113.61 to 19.232.113.6219.232.113.632
8119.232.113.64/3019.232.113.65 to 19.232.113.6619.232.113.672
8219.232.113.68/3019.232.113.69 to 19.232.113.7019.232.113.712
8319.232.113.72/3019.232.113.73 to 19.232.113.7419.232.113.752
8419.232.113.76/3019.232.113.77 to 19.232.113.7819.232.113.792
8519.232.113.80/3019.232.113.81 to 19.232.113.8219.232.113.832
8619.232.113.84/3019.232.113.85 to 19.232.113.8619.232.113.872
8719.232.113.88/3019.232.113.89 to 19.232.113.9019.232.113.912
8819.232.113.92/3019.232.113.93 to 19.232.113.9419.232.113.952
8919.232.113.96/3019.232.113.97 to 19.232.113.9819.232.113.992
9019.232.113.100/3019.232.113.101 to 19.232.113.10219.232.113.1032
9119.232.113.104/3019.232.113.105 to 19.232.113.10619.232.113.1072
9219.232.113.108/3019.232.113.109 to 19.232.113.11019.232.113.1112
9319.232.113.112/3019.232.113.113 to 19.232.113.11419.232.113.1152
9419.232.113.116/3019.232.113.117 to 19.232.113.11819.232.113.1192
9519.232.113.120/3019.232.113.121 to 19.232.113.12219.232.113.1232
9619.232.113.124/3019.232.113.125 to 19.232.113.12619.232.113.1272
9719.232.113.128/3019.232.113.129 to 19.232.113.13019.232.113.1312
9819.232.113.132/3019.232.113.133 to 19.232.113.13419.232.113.1352
9919.232.113.136/3019.232.113.137 to 19.232.113.13819.232.113.1392
10019.232.113.140/3019.232.113.141 to 19.232.113.14219.232.113.1432
10119.232.113.144/3019.232.113.145 to 19.232.113.14619.232.113.1472
10219.232.113.148/3019.232.113.149 to 19.232.113.15019.232.113.1512
10319.232.113.152/3019.232.113.153 to 19.232.113.15419.232.113.1552
10419.232.113.156/3019.232.113.157 to 19.232.113.15819.232.113.1592
10519.232.113.160/3019.232.113.161 to 19.232.113.16219.232.113.1632
10619.232.113.164/3019.232.113.165 to 19.232.113.16619.232.113.1672
10719.232.113.168/3019.232.113.169 to 19.232.113.17019.232.113.1712
10819.232.113.172/3019.232.113.173 to 19.232.113.17419.232.113.1752
10919.232.113.176/3019.232.113.177 to 19.232.113.17819.232.113.1792
11019.232.113.180/3019.232.113.181 to 19.232.113.18219.232.113.1832
11119.232.113.184/3019.232.113.185 to 19.232.113.18619.232.113.1872
11219.232.113.188/3019.232.113.189 to 19.232.113.19019.232.113.1912
11319.232.113.192/3019.232.113.193 to 19.232.113.19419.232.113.1952
11419.232.113.196/3019.232.113.197 to 19.232.113.19819.232.113.1992
11519.232.113.200/3019.232.113.201 to 19.232.113.20219.232.113.2032
11619.232.113.204/3019.232.113.205 to 19.232.113.20619.232.113.2072
11719.232.113.208/3019.232.113.209 to 19.232.113.21019.232.113.2112
11819.232.113.212/3019.232.113.213 to 19.232.113.21419.232.113.2152
11919.232.113.216/3019.232.113.217 to 19.232.113.21819.232.113.2192
12019.232.113.220/3019.232.113.221 to 19.232.113.22219.232.113.2232
12119.232.113.224/3019.232.113.225 to 19.232.113.22619.232.113.2272
12219.232.113.228/3019.232.113.229 to 19.232.113.23019.232.113.2312
12319.232.113.232/3019.232.113.233 to 19.232.113.23419.232.113.2352
12419.232.113.236/3019.232.113.237 to 19.232.113.23819.232.113.2392
12519.232.113.240/3019.232.113.241 to 19.232.113.24219.232.113.2432
12619.232.113.244/3019.232.113.245 to 19.232.113.24619.232.113.2472
12719.232.113.248/3019.232.113.249 to 19.232.113.25019.232.113.2512
12819.232.113.252/3019.232.113.253 to 19.232.113.25419.232.113.2552
12919.232.114.0/3019.232.114.1 to 19.232.114.219.232.114.32
13019.232.114.4/3019.232.114.5 to 19.232.114.619.232.114.72
13119.232.114.8/3019.232.114.9 to 19.232.114.1019.232.114.112
13219.232.114.12/3019.232.114.13 to 19.232.114.1419.232.114.152
13319.232.114.16/3019.232.114.17 to 19.232.114.1819.232.114.192
13419.232.114.20/3019.232.114.21 to 19.232.114.2219.232.114.232
13519.232.114.24/3019.232.114.25 to 19.232.114.2619.232.114.272
13619.232.114.28/3019.232.114.29 to 19.232.114.3019.232.114.312
13719.232.114.32/3019.232.114.33 to 19.232.114.3419.232.114.352
13819.232.114.36/3019.232.114.37 to 19.232.114.3819.232.114.392
13919.232.114.40/3019.232.114.41 to 19.232.114.4219.232.114.432
14019.232.114.44/3019.232.114.45 to 19.232.114.4619.232.114.472
14119.232.114.48/3019.232.114.49 to 19.232.114.5019.232.114.512
14219.232.114.52/3019.232.114.53 to 19.232.114.5419.232.114.552
14319.232.114.56/3019.232.114.57 to 19.232.114.5819.232.114.592
14419.232.114.60/3019.232.114.61 to 19.232.114.6219.232.114.632
14519.232.114.64/3019.232.114.65 to 19.232.114.6619.232.114.672
14619.232.114.68/3019.232.114.69 to 19.232.114.7019.232.114.712
14719.232.114.72/3019.232.114.73 to 19.232.114.7419.232.114.752
14819.232.114.76/3019.232.114.77 to 19.232.114.7819.232.114.792
14919.232.114.80/3019.232.114.81 to 19.232.114.8219.232.114.832
15019.232.114.84/3019.232.114.85 to 19.232.114.8619.232.114.872
15119.232.114.88/3019.232.114.89 to 19.232.114.9019.232.114.912
15219.232.114.92/3019.232.114.93 to 19.232.114.9419.232.114.952
15319.232.114.96/3019.232.114.97 to 19.232.114.9819.232.114.992
15419.232.114.100/3019.232.114.101 to 19.232.114.10219.232.114.1032
15519.232.114.104/3019.232.114.105 to 19.232.114.10619.232.114.1072
15619.232.114.108/3019.232.114.109 to 19.232.114.11019.232.114.1112
15719.232.114.112/3019.232.114.113 to 19.232.114.11419.232.114.1152
15819.232.114.116/3019.232.114.117 to 19.232.114.11819.232.114.1192
15919.232.114.120/3019.232.114.121 to 19.232.114.12219.232.114.1232
16019.232.114.124/3019.232.114.125 to 19.232.114.12619.232.114.1272
16119.232.114.128/3019.232.114.129 to 19.232.114.13019.232.114.1312
16219.232.114.132/3019.232.114.133 to 19.232.114.13419.232.114.1352
16319.232.114.136/3019.232.114.137 to 19.232.114.13819.232.114.1392
16419.232.114.140/3019.232.114.141 to 19.232.114.14219.232.114.1432
16519.232.114.144/3019.232.114.145 to 19.232.114.14619.232.114.1472
16619.232.114.148/3019.232.114.149 to 19.232.114.15019.232.114.1512
16719.232.114.152/3019.232.114.153 to 19.232.114.15419.232.114.1552
16819.232.114.156/3019.232.114.157 to 19.232.114.15819.232.114.1592
16919.232.114.160/3019.232.114.161 to 19.232.114.16219.232.114.1632
17019.232.114.164/3019.232.114.165 to 19.232.114.16619.232.114.1672
17119.232.114.168/3019.232.114.169 to 19.232.114.17019.232.114.1712
17219.232.114.172/3019.232.114.173 to 19.232.114.17419.232.114.1752
17319.232.114.176/3019.232.114.177 to 19.232.114.17819.232.114.1792
17419.232.114.180/3019.232.114.181 to 19.232.114.18219.232.114.1832
17519.232.114.184/3019.232.114.185 to 19.232.114.18619.232.114.1872
17619.232.114.188/3019.232.114.189 to 19.232.114.19019.232.114.1912
17719.232.114.192/3019.232.114.193 to 19.232.114.19419.232.114.1952
17819.232.114.196/3019.232.114.197 to 19.232.114.19819.232.114.1992
17919.232.114.200/3019.232.114.201 to 19.232.114.20219.232.114.2032
18019.232.114.204/3019.232.114.205 to 19.232.114.20619.232.114.2072
18119.232.114.208/3019.232.114.209 to 19.232.114.21019.232.114.2112
18219.232.114.212/3019.232.114.213 to 19.232.114.21419.232.114.2152
18319.232.114.216/3019.232.114.217 to 19.232.114.21819.232.114.2192
18419.232.114.220/3019.232.114.221 to 19.232.114.22219.232.114.2232
18519.232.114.224/3019.232.114.225 to 19.232.114.22619.232.114.2272
18619.232.114.228/3019.232.114.229 to 19.232.114.23019.232.114.2312
18719.232.114.232/3019.232.114.233 to 19.232.114.23419.232.114.2352
18819.232.114.236/3019.232.114.237 to 19.232.114.23819.232.114.2392
18919.232.114.240/3019.232.114.241 to 19.232.114.24219.232.114.2432
19019.232.114.244/3019.232.114.245 to 19.232.114.24619.232.114.2472
19119.232.114.248/3019.232.114.249 to 19.232.114.25019.232.114.2512
19219.232.114.252/3019.232.114.253 to 19.232.114.25419.232.114.2552
19319.232.115.0/3019.232.115.1 to 19.232.115.219.232.115.32
19419.232.115.4/3019.232.115.5 to 19.232.115.619.232.115.72
19519.232.115.8/3019.232.115.9 to 19.232.115.1019.232.115.112
19619.232.115.12/3019.232.115.13 to 19.232.115.1419.232.115.152
19719.232.115.16/3019.232.115.17 to 19.232.115.1819.232.115.192
19819.232.115.20/3019.232.115.21 to 19.232.115.2219.232.115.232
19919.232.115.24/3019.232.115.25 to 19.232.115.2619.232.115.272
20019.232.115.28/3019.232.115.29 to 19.232.115.3019.232.115.312
20119.232.115.32/3019.232.115.33 to 19.232.115.3419.232.115.352
20219.232.115.36/3019.232.115.37 to 19.232.115.3819.232.115.392
20319.232.115.40/3019.232.115.41 to 19.232.115.4219.232.115.432
20419.232.115.44/3019.232.115.45 to 19.232.115.4619.232.115.472
20519.232.115.48/3019.232.115.49 to 19.232.115.5019.232.115.512
20619.232.115.52/3019.232.115.53 to 19.232.115.5419.232.115.552
20719.232.115.56/3019.232.115.57 to 19.232.115.5819.232.115.592
20819.232.115.60/3019.232.115.61 to 19.232.115.6219.232.115.632
20919.232.115.64/3019.232.115.65 to 19.232.115.6619.232.115.672
21019.232.115.68/3019.232.115.69 to 19.232.115.7019.232.115.712
21119.232.115.72/3019.232.115.73 to 19.232.115.7419.232.115.752
21219.232.115.76/3019.232.115.77 to 19.232.115.7819.232.115.792
21319.232.115.80/3019.232.115.81 to 19.232.115.8219.232.115.832
21419.232.115.84/3019.232.115.85 to 19.232.115.8619.232.115.872
21519.232.115.88/3019.232.115.89 to 19.232.115.9019.232.115.912
21619.232.115.92/3019.232.115.93 to 19.232.115.9419.232.115.952
21719.232.115.96/3019.232.115.97 to 19.232.115.9819.232.115.992
21819.232.115.100/3019.232.115.101 to 19.232.115.10219.232.115.1032
21919.232.115.104/3019.232.115.105 to 19.232.115.10619.232.115.1072
22019.232.115.108/3019.232.115.109 to 19.232.115.11019.232.115.1112
22119.232.115.112/3019.232.115.113 to 19.232.115.11419.232.115.1152
22219.232.115.116/3019.232.115.117 to 19.232.115.11819.232.115.1192
22319.232.115.120/3019.232.115.121 to 19.232.115.12219.232.115.1232
22419.232.115.124/3019.232.115.125 to 19.232.115.12619.232.115.1272
22519.232.115.128/3019.232.115.129 to 19.232.115.13019.232.115.1312
22619.232.115.132/3019.232.115.133 to 19.232.115.13419.232.115.1352
22719.232.115.136/3019.232.115.137 to 19.232.115.13819.232.115.1392
22819.232.115.140/3019.232.115.141 to 19.232.115.14219.232.115.1432
22919.232.115.144/3019.232.115.145 to 19.232.115.14619.232.115.1472
23019.232.115.148/3019.232.115.149 to 19.232.115.15019.232.115.1512
23119.232.115.152/3019.232.115.153 to 19.232.115.15419.232.115.1552
23219.232.115.156/3019.232.115.157 to 19.232.115.15819.232.115.1592
23319.232.115.160/3019.232.115.161 to 19.232.115.16219.232.115.1632
23419.232.115.164/3019.232.115.165 to 19.232.115.16619.232.115.1672
23519.232.115.168/3019.232.115.169 to 19.232.115.17019.232.115.1712
23619.232.115.172/3019.232.115.173 to 19.232.115.17419.232.115.1752
23719.232.115.176/3019.232.115.177 to 19.232.115.17819.232.115.1792
23819.232.115.180/3019.232.115.181 to 19.232.115.18219.232.115.1832
23919.232.115.184/3019.232.115.185 to 19.232.115.18619.232.115.1872
24019.232.115.188/3019.232.115.189 to 19.232.115.19019.232.115.1912
24119.232.115.192/3019.232.115.193 to 19.232.115.19419.232.115.1952
24219.232.115.196/3019.232.115.197 to 19.232.115.19819.232.115.1992
24319.232.115.200/3019.232.115.201 to 19.232.115.20219.232.115.2032
24419.232.115.204/3019.232.115.205 to 19.232.115.20619.232.115.2072
24519.232.115.208/3019.232.115.209 to 19.232.115.21019.232.115.2112
24619.232.115.212/3019.232.115.213 to 19.232.115.21419.232.115.2152
24719.232.115.216/3019.232.115.217 to 19.232.115.21819.232.115.2192
24819.232.115.220/3019.232.115.221 to 19.232.115.22219.232.115.2232
24919.232.115.224/3019.232.115.225 to 19.232.115.22619.232.115.2272
25019.232.115.228/3019.232.115.229 to 19.232.115.23019.232.115.2312
25119.232.115.232/3019.232.115.233 to 19.232.115.23419.232.115.2352
25219.232.115.236/3019.232.115.237 to 19.232.115.23819.232.115.2392
25319.232.115.240/3019.232.115.241 to 19.232.115.24219.232.115.2432
25419.232.115.244/3019.232.115.245 to 19.232.115.24619.232.115.2472
25519.232.115.248/3019.232.115.249 to 19.232.115.25019.232.115.2512
25619.232.115.252/3019.232.115.253 to 19.232.115.25419.232.115.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses